On the Open Hardware Repository you can find projects which use soft-cpu (e.g.
mock-turtle, white-rabbit-core, wr-switch). This project offer a toolchain that
you can use to compile your code for the soft-cpu targer (only LM32 for the
time being).

The project provides only the necessary makefiles to build the toolchain, so it
will be necessary to compile the toolchain
